<?php

/***

Sciurus - Bérenger THOMAS
27.03.15, modifié le 23.06.17

Coeur

*/



ob_start();
mb_internal_encoding("UTF-8");



// SESSIONS

ini_set('session.use_trans_sid', '0');
ini_set('url_rewritter.tags', '');
session_start();

if(!isset($_SESSION['admin']))
{
	$_SESSION['admin'] = FALSE;
}



// CONNEXION A LA BASE DE DONNEES

define('__ROOT__', dirname(dirname(__FILE__)));

if(is_file(__ROOT__.'/library/config.php'))
{
	require_once __ROOT__.'/library/config.php';
}
else
{
	echo 'Sciurus n\'est pas encore configuré.';
	exit();
}

try
{
	$db = new PDO('mysql:host='.$host.';dbname='.$database, $user, $password);
	$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
	$db->exec('SET NAMES utf8');
}
catch (Exception $e)
{
	die('Erreur : '.$e -> getMessage());
}



// RECUPERATION DES PARAMETRES

$sql = 'SELECT constante, valeur FROM configuration';

if($req = $db->query($sql))
{
	while($res = $req->fetch())
	{
		define($res['constante'], $res['valeur']);
	}
}
else
{
	echo 'Impossible de récupérer les paramètres de configuration.';
	exit();
}



// MODE DEBOGAGE

if(DEBUG_MODE)
{
	ini_set('display_errors', 1);
	error_reporting(E_ALL);
}



// FONCTIONS PRINCIPALES

require_once 'fonctions.php';

?>

